#ifndef MIRAGE_DRAW_H
#define MIRAGE_DRAW_H

#include "mirage_types.h"

#include <gtk/gtk.h>
#include <gdk/gdk.h>

#include <cairo.h>

void mirage_draw_button           (cairo_t *cr,
                                      const mirageColors *colors,
                                      const WidgetParameters *params,
                                      int x, int y, int width, int height);

void mirage_draw_combobox         (cairo_t *cr,
                                      const mirageColors *colors,
                                      const WidgetParameters *params,
                                      const ComboBoxParameters *combobox,
                                      int x, int y, int width, int height);

void mirage_draw_scrollbar_stepper (cairo_t *cr,
                                       const mirageColors            *colors,
                                       const WidgetParameters           *widget,
                                       const ScrollBarParameters        *scrollbar,
                                       const ScrollBarStepperParameters *stepper,
                                       int x, int y, int width, int height);

void mirage_draw_scrollbar_slider (cairo_t *cr,
                                      const mirageColors            *colors,
                                      const WidgetParameters           *widget,
                                      const ScrollBarParameters        *scrollbar,
                                      int x, int y, int width, int height);

void mirage_draw_scrollbar_trough (cairo_t *cr,
                                      const mirageColors *colors,
                                      const WidgetParameters *widget,
                                      const ScrollBarParameters *scrollbar,
                                      int x, int y, int width, int height);

void mirage_draw_scale_trough     (cairo_t *cr,
                                      const mirageColors *colors,
                                      const WidgetParameters *params,
                                      const SliderParameters *slider,
                                      int x, int y, int width, int height);
							  
void mirage_draw_progressbar_trough (cairo_t *cr,
                                        const mirageColors *colors,
                                        const WidgetParameters *params,
                                        int x, int y, int width, int height);


void mirage_draw_progressbar_fill (cairo_t *cr,
                                      const mirageColors *colors,
                                      const WidgetParameters *params,
                                      const ProgressBarParameters *progressbar,
                                      int x, int y, int width, int height);

void mirage_draw_slider_bu        (cairo_t *cr,
                                      const mirageColors *colors,
                                      const WidgetParameters *params,
                                      const SliderParameters *slider,
                                      int x, int y, int width, int height);

void mirage_draw_entry            (cairo_t *cr,
                                      const mirageColors *colors,
                                      const WidgetParameters *params,
                                      boolean is_combo,
                                      int x, int y, int width, int height);

void mirage_draw_spinbutton       (cairo_t *cr,
                                      const mirageColors *colors,
                                      const WidgetParameters *params,
                                      int x, int y, int width, int height);

void mirage_draw_spinbutton_down  (cairo_t *cr,
                                      const mirageColors *colors,
                                      const WidgetParameters *params,
                                      int x, int y, int width, int height);

void mirage_draw_optionmenu       (cairo_t *cr,
                                      const mirageColors *colors,
                                      const WidgetParameters *params,
                                      const OptionMenuParameters *optionmenu,
                                      int x, int y, int width, int height);
								   
void mirage_draw_inset            (cairo_t *cr,
                                      int width, int height,
                                      double radius, uint8 corners);

void mirage_draw_frame            (cairo_t *cr,
                                      const mirageColors *colors,
                                      const WidgetParameters *params,
                                      const FrameParameters  *frame,
                                      int x, int y, int width, int height);

void mirage_draw_statusbar        (cairo_t *cr,
                                      const mirageColors *colors,
                                      const WidgetParameters *params,
                                      int x, int y, int width, int height);

void mirage_draw_tab              (cairo_t *cr,
                                      const mirageColors     *colors,
                                      const WidgetParameters     *widget,
                                      const TabParameters        *tab,
                                      int x, int y, int width, int height);
#endif /* MIRAGE_DRAW_H */
