/* mirage Theme Engine
 * Copyright (C) 2005 Richard Stellingwerff.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Written by Richard Stellingwerff <remenic@gmail.com>
 * and by Daniel Borgmann <daniel.borgmann@gmail.com>
 */

#include <gtk/gtkrc.h>

typedef struct _MirageRcStyle MirageRcStyle;
typedef struct _MirageRcStyleClass MirageRcStyleClass;

extern GType mirage_type_rc_style;

#define MIRAGE_TYPE_RC_STYLE              mirage_type_rc_style
#define MIRAGE_RC_STYLE(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), MIRAGE_TYPE_RC_STYLE, MirageRcStyle))
#define MIRAGE_RC_STYLE_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), MIRAGE_TYPE_RC_STYLE, MirageRcStyleClass))
#define MIRAGE_IS_RC_STYLE(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), MIRAGE_TYPE_RC_STYLE))
#define MIRAGE_IS_RC_STYLE_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), MIRAGE_TYPE_RC_STYLE))
#define MIRAGE_RC_STYLE_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), MIRAGE_TYPE_RC_STYLE, MirageRcStyleClass))

struct _MirageRcStyle
{
  GtkRcStyle parent_instance;

  GdkColor spot_color;
  gboolean has_spot_color;
  double contrast;
  guint8 sunkenmenubar;
  guint8 progressbarstyle;
  guint8 menubarstyle;
  guint8 menuitemstyle;
  guint8 listviewitemstyle;
};

struct _MirageRcStyleClass
{
  GtkRcStyleClass parent_class;
};

void mirage_rc_style_register_type (GTypeModule *module);
