/* mirage Engine
 * Copyright (C) 2005 Richard Stellingwerff and Daniel Borgmann.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Written by Richard Stellingwerff <remenic@gmail.com>
 * and by Daniel Borgmann <daniel.borgmann@gmail.com>
 */
#include <gtk/gtkstyle.h>

#include "mirage_types.h"

typedef struct _MirageStyle MirageStyle;
typedef struct _MirageStyleClass MirageStyleClass;

extern GType mirage_type_style;

#define MIRAGE_TYPE_STYLE              mirage_type_style
#define MIRAGE_STYLE(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), MIRAGE_TYPE_STYLE, MirageStyle))
#define MIRAGE_STYLE_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), MIRAGE_TYPE_STYLE, MirageStyleClass))
#define MIRAGE_IS_STYLE(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), MIRAGE_TYPE_STYLE))
#define MIRAGE_IS_STYLE_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), MIRAGE_TYPE_STYLE))
#define MIRAGE_STYLE_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), MIRAGE_TYPE_STYLE, MirageStyleClass))

struct _MirageStyle
{
	GtkStyle parent_instance;

	mirageColors colors;
	
	guint8   progressbarstyle;
	guint8   menubarstyle;
	guint8   menuitemstyle;
	guint8   listviewitemstyle;
};

struct _MirageStyleClass
{
  GtkStyleClass parent_class;
};


void mirage_style_register_type (GTypeModule *module);
